#!/bin/sh

set -e

ICON=/etc/skel/.face
BACKGROUND_DIR=/usr/share/backgrounds/kali-16x9
BACKGROUND_PURPLE=kali-tiles-purple.jpg

if [ "$1" = "configure" ]; then
    dpkg-divert --rename --package kali-themes-purple \
        --divert "${ICON}.original" \
        --add "${ICON}"
    cp -v /usr/share/kali-themes/face-purple.svg "${ICON}"
    mkdir -p "${BACKGROUND_DIR}"/disabled
    dpkg-divert --rename --package kali-themes-purple \
        --divert "${BACKGROUND_DIR}/disabled/default" \
        --add "${BACKGROUND_DIR}/default"
    ln -rsvf "${BACKGROUND_DIR}/${BACKGROUND_PURPLE}" "${BACKGROUND_DIR}/default"
fi

#DEBHELPER#
